Distribution EOLE - Tache #25673
Scénario # 25670 (Terminé (Sprint)): Adaptation de I'action ACL EAD3 pour les versions 60 (ESR) et 63 de Firefox

L’attribut CSS hidden n’est plus pris en compte
10/30/2018 10:04 AM - Benjamin Bohard

Status: Fermé Start date: 10/30/2018

Priority: Normal Due date:

Assigned To: Benjamin Bohard % Done: 100%

Target version: Sprint 2018 44-46 Equipe PNE-SR Estimated time: 0.00 hour
Spent time: 0.00 hour

Description

Il semble y avoir une différence dans la propagation des styles CSS depuis la version 63 de Firefox qui se traduit par I'ignorance de
I'attribut hidden.

Associated revisions

Revision 63ald6a4 - 11/05/2018 04:49 PM - Benjamin Bohard
Forcer I'utilisation de shadydom temporairement.

Forcer I'utilisation de 'implémentation partielle du shadow DOM
du polyfill en attendant la migration des CSS pour utilisation

du shadow DOM implémenté par le navigateur.

Ref #25672
Ref #25673

History

#1 - 11/05/2018 04:26 PM - Benjamin Bohard

- Status changed from Nouveau to En cours

#2 - 11/05/2018 04:43 PM - Benjamin Bohard

Le changement de comportement vient de I'implémentation du shadowdom du navigateur qui est différente de celle du polyfill précédemment utilisé
(bascule automatique).
En forgant l'utilisation de I'implémentation du polyfill, on retrouve I'affichage précédent.

https://www.polymer-project.org/2.0/docs/devguide/shadow-dom
https://stackoverflow.com/questions/45781571/css-not-applied-to-polymer-2-web-component-in-chrome

L’ajout de I'attribut shadydom résout temporairement les problémes de CSS pour les actions Quota et ACL.

#3 - 11/13/2018 10:06 AM - Benjamin Bohard

- Status changed from En cours to Résolu

#4 - 11/19/2018 11:35 AM - Benjamin Bohard
- % Done changed from 0 to 100
https://www.polymer-project.org/2.0/docs/devguide/shadow-dom
https://stackoverflow.com/questions/45781571/css-not-applied-to-polymer-2-web-component-in-chrome

#5 - 11/26/2018 01:19 PM - Emmanuel IHRY
- Status changed from Résolu to Fermé

- Remaining (hours) set to 0.0
